#
# spec file for package yast2-cluster
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-cluster
%define _fwdefdir /etc/sysconfig/SuSEfirewall2.d/services
Version:        3.2.0
Release:        1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Source1:        cluster.fwd

BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite

BuildArch:      noarch

Requires:       yast2
Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        Configuration of cluster
License:        GPL-2.0
Group:          System/YaST

%description
-

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

mkdir -p $RPM_BUILD_ROOT/%{_fwdefdir}
install -m 644 %{S:1} $RPM_BUILD_ROOT/%{_fwdefdir}/cluster

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/cluster
%{yast_yncludedir}/cluster/*
%{yast_clientdir}/cluster.rb
%{yast_clientdir}/cluster_*.rb
%{yast_moduledir}/Cluster.*
%{yast_desktopdir}/cluster.desktop
%{yast_scrconfdir}/*.scr
%{yast_agentdir}/ag_openais
%doc %{yast_docdir}
%config %{_fwdefdir}/cluster

%changelog
* Wed Apr  5 2017 nwang@suse.com
- bsc#1032419, remove bind address for unicast.
- Version 3.2.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- Version 3.1.24
* Fri Mar 25 2016 nwang@suse.com
- bsc#971961, fix error when using ipv6.
- Add totem.ip_version for ipv6 support.
- Version 3.1.23
* Tue Dec  1 2015 nwang@suse.com
- BSC#957305. Change required package from hawk to hawk2.
- Version 3.1.22
* Thu Aug 13 2015 nwang@suse.com
- FATE#319318. Add directory /etc/booth to csync2 suggest list.
- Version 3.1.21
* Fri Jul 31 2015 nwang@suse.com
- BSC#939497. Using systemd csync2.socket instead of xinetd.
- Version 3.1.20
* Wed Jul 29 2015 nwang@suse.com
- BSC#939429. Fix for crash when fail to get empty mask of
  tun device.
- Version 3.1.19
* Mon Jul 20 2015 nwang@suse.com
- BSC#938325. Modify the not clear help and warning.
- Version 3.1.18
* Thu Jul  2 2015 nwang@suse.com
- FATE#318190. Add a warning in corosync.conf to warn users
  manually changes may get lost when reconfigured by Yast.
- Version 3.1.17
* Mon Jun 29 2015 nwang@suse.com
- BNC#936352. Remove threads in security tab since it is
  abandoned in corosync 2.0
- Version 3.1.16
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Sep 19 2014 nwang@suse.com
- BNC#716109. Change UI udp to multicast, udpu to unicast.
- Version 3.1.15
* Tue Sep  9 2014 nwang@suse.com
- BNC#807780. Change word of UI from at booting to during boot.
- Version 3.1.14
* Wed Sep  3 2014 nwang@suse.com
- BNC#787196. Change wrong unit names like mb to Mb, ghz to GHz.
- Version 3.1.13
* Tue Jul 15 2014 nwang@suse.com
- BNC#885018. Change "two_node" to "0" when using default value.
- Version 3.1.12
* Mon Jul  7 2014 nwang@suse.com
- BNC#885319. Change text nodeid to Node ID. Change string
  to translation.
- Version 3.1.11
* Tue Jul  1 2014 nwang@suse.com
- BNC#883228 and BNC#885113. Fix various issues with YaST
  Cluster help and the finish progress message.
- Version 3.1.10
* Sun Jun 22 2014 nwang@suse.com
- BNC#883235. Auot enable "two_node" when using two node cluster.
- Version 3.1.9
* Fri May 30 2014 nwang@suse.com
- BNC#879596. Detect corosync.conf format. Notice user when using
  old format configuration.
- Version 3.1.8
* Fri May 30 2014 nwang@suse.com
- BNC#880491. Check nodeid behavior when auto node id is disabled.
  NodeID must be unique positive interger.
- Version 3.1.7
* Thu May 29 2014 nwang@suse.com
- BNC#880483. Click edit button when member list is empty
  will crash the application.
* Thu May 29 2014 nwang@suse.com
- BNC#880242. expected votes must have value when Transport
  protocol is using udp. Cluster name should not empty in
  any cases.
- Version 3.1.6
* Thu May 22 2014 nwang@suse.com
- Modify SPEC file to make ibs and github same. Version 3.1.5
* Wed May 21 2014 nwang@suse.com
- BNC#878073. Stating to run "journalctl -xn" manually for log.
  Update version to 3.1.2 to trigger ibs/obs release.
* Wed Apr 23 2014 nwang@suse.com
- BNC#874710, Only active or passive of rrp_mode is valid
  for multiple interface.
* Tue Apr 22 2014 nwang@suse.com
- BNC#874563,stop pacemaker could stop corosync at the same time.
  So change behavior to stop pacemaker directly.
* Tue Apr 22 2014 nwang@suse.com
- BNC#871970.BNC#872000 could be fixed at the same time.
  Change udpu member addresses structure and the format of
  nodelist in "corosync.conf".
* Mon Mar 10 2014 dmzhang@suse.com
- bnc#867090, fix expected_votes showing "nil" in case of ncurse
* Thu Feb 27 2014 dmzhang@suse.com
- upstream does not maintain yast2-python-bindings any more
  remove the dependency for yast2-yast2-bindings
* Tue Feb 25 2014 dmzhang@suse.com
- add yast2-python-bindings in spec files
* Tue Feb 25 2014 dmzhang@suse.com
- bnc#863953,  yast2 display issue
  add cluster.fwd, and fix disply issue
* Mon Jan 20 2014 dmzhang@suse.com
- add expected_votes field in GUI
* Mon Jan 13 2014 dmzhang@suse.com
- edit yast2-cluster to adapt new corosync.conf
  fix bnc#854882,bnc#845910
- remove SummaryDialog, OverviewDialog and aisexec options
- convert ycp to ruby
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Sun Dec  7 2008 xwhu@suse.de
- Full functional checked in
* Fri Dec  5 2008 cmeng@novell.com
- initial version
